import Joi from 'joi';
import { Algorithm, BaseTokenClaim, JwtBaseToken } from './auth-base-token';
export * from './auth-base-token';
export declare type IdRefreshTokenClaim = BaseTokenClaim & {
    userUuid: string;
};
export declare const schemaIdRefreshTokenClaim: {
    userUuid: Joi.StringSchema;
    kind: Joi.StringSchema;
    uuid: Joi.StringSchema;
    appDomain: Joi.StringSchema;
    productEntityUuid: Joi.StringSchema;
};
export declare class JwtIdRefreshToken extends JwtBaseToken<IdRefreshTokenClaim> {
    private static self;
    private constructor();
    static init(secret: string, expiresIn: string | number, algorithm?: Algorithm): typeof JwtIdRefreshToken;
    static term(): void;
    static sign(claim: IdRefreshTokenClaim, expiresIn?: string | number, notBefore?: string | number): string;
    static verify(token: string): IdRefreshTokenClaim;
    private static get instance();
    static get isEnabled(): boolean;
}
