import Joi from 'joi';
import { AnyAbility } from '@casl/ability';
import { Algorithm, JwtBaseToken, BaseTokenClaim, AppDomain } from './auth-base-token';
export declare type IdToken = {
    appDomain: AppDomain;
    productEntityUuid?: string;
    userId: number | bigint;
    userUuid: string;
    localeCode: string;
    ability: AnyAbility;
};
export declare type IdTokenClaim = BaseTokenClaim & {
    userUuid: string;
    localeCode: string;
};
export declare const schemaIdTokenClaim: {
    userUuid: Joi.StringSchema;
    localeCode: Joi.StringSchema;
    iat: Joi.NumberSchema;
    exp: Joi.NumberSchema;
    kind: Joi.StringSchema;
    uuid: Joi.StringSchema;
    appDomain: Joi.StringSchema;
    productEntityUuid: Joi.StringSchema;
};
export declare class JwtIdToken extends JwtBaseToken<IdTokenClaim> {
    private static self;
    private constructor();
    static init(secret: string, expiresIn: string | number, algorithm?: Algorithm): typeof JwtIdToken;
    static term(): void;
    static sign(claim: IdTokenClaim, expiresIn?: string | number, notBefore?: string | number): string;
    static verify(token: string): IdTokenClaim;
    private static get instance();
    static get isEnabled(): boolean;
}
