import Joi from 'joi';
import { AppDomain } from './auth-type';
export declare type VerifyIdToken = {
    appDomain: AppDomain;
    productEntityUuid?: string;
    userId: number | bigint;
    userUuid: string;
    localeCode: string;
    rules: string;
};
export declare const schemaVerifyIdToken: {
    appDomain: Joi.StringSchema;
    productEntityUuid: Joi.StringSchema;
    userId: Joi.NumberSchema;
    userUuid: Joi.StringSchema;
    localeCode: Joi.StringSchema;
    rules: Joi.StringSchema;
};
export declare type AuthBearerVerify = (token: string) => Promise<VerifyIdToken>;
export declare type BasicMetadata = {
    username: string;
    password: string;
    appDomain?: AppDomain;
};
export declare type AuthBasicVerify = (params: BasicMetadata) => Promise<VerifyIdToken>;
