"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaVerifyIdToken = void 0;
const joi_1 = __importDefault(require("joi"));
const auth_type_1 = require("./auth-type");
const _id = joi_1.default.number().unsafe();
const _uuid = joi_1.default.string().length(21);
const _appDomain = joi_1.default.string()
    .trim()
    .valid(...Object.values(auth_type_1.AppDomain));
const _localeCode = joi_1.default.string().max(10);
const _rules = joi_1.default.string();
exports.schemaVerifyIdToken = {
    appDomain: _appDomain.required(),
    productEntityUuid: _uuid.required(),
    userId: _id.required(),
    userUuid: _uuid.required(),
    localeCode: _localeCode.required(),
    rules: _rules.required()
};
//# sourceMappingURL=auth-type-verify.js.map