import { IdToken } from './auth-id-token';
import { BasicMetadata } from './auth-type-verify';
export declare enum AuthTokenType {
    Bearer = "Bearer",
    Basic = "Basic"
}
export declare enum AppDomain {
    MERCHANT = "MERCHANT",
    CONSUMER = "CONSUMER",
    ADMIN = "ADMIN"
}
export declare type AuthToken = {
    type: AuthTokenType;
    info: AccessInfo;
    grant?: boolean;
};
export declare type AccessInfo = {
    token: string;
    auth?: IdToken;
    authMetadata?: BasicMetadata;
    headers?: {
        appDomain: AppDomain;
        localeCode: string;
    };
    requestedBy?: number | bigint;
};
export declare type Ability = {
    action: string;
    subject: string;
};
export declare type AuthDirective = {
    type: AuthTokenType;
    hasAbility?: Ability;
};
export declare function generateAbility(rules: string): import("@casl/ability").AnyMongoAbility;
